Page MenuHomePhabricator

Unify list-styles
Closed, ResolvedPublic

Description

List styles across themes (Vector, MobileFrontend), but also in products should get a brush-up and best-possibly unified.
Compare for example https://en.wikipedia.org/wiki/JavaScript#Vendor-specific_extensions and https://en.m.wikipedia.org/wiki/JavaScript#Vendor-specific_extensions

VectorMobileFrontend

We need to define

  • a unified unordered list-style bullet for mobile and desktop web and
  • unordered list bullet
  • general list bullet/number position (maybe with special treatment on mobile) for unordered and ordered lists?

and take into account

  • numbered lists for 10+ (double-digit list counters), 100+ and 1000+ items
  • nested lists, as ul ul, ol ol, ul ol

Expected skin style properties in Design Style Guide:

  • list-style-position: outside;
  • list-style-type: disc; for uls
  • Special padding for both of them to take into account 100+ item lists, see T150377

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2016, 12:42 AM

Hey I'm new, but I'd like to contribute to your organization, can someone please guide me along ?

Volker_E triaged this task as Low priority.Mar 16 2017, 8:06 AM
Volker_E updated the task description. (Show Details)
Volker_E added a subscriber: Nirzar.
Prtksxna updated the task description. (Show Details)Mar 17 2017, 9:25 AM

Proposal:

  • margins should be double of paragraphs,
  • list bullets/numeration vertically aligned with text and
  • list item content intended by similar amount as surrounding margin to paragraphs/block-level elements
Volker_E updated the task description. (Show Details)May 5 2018, 12:23 AM
Volker_E updated the task description. (Show Details)Mar 5 2019, 12:25 AM
Volker_E updated the task description. (Show Details)Mar 8 2019, 10:24 PM

Change 495403 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Remove list-style-type declaration from elements.css

https://gerrit.wikimedia.org/r/495403

Krinkle updated the task description. (Show Details)Mar 8 2019, 11:06 PM

Change 495403 merged by jenkins-bot:
[mediawiki/core@master] Remove list-style-type declaration from elements.css

https://gerrit.wikimedia.org/r/495403

Volker_E updated the task description. (Show Details)Mar 11 2019, 7:49 PM
Volker_E closed this task as Resolved.May 7 2019, 11:21 AM
Volker_E claimed this task.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.